#!/bin/sh
colours=$(mktemp)
previous=cinnamon.tpl

bg_from="rgb(250,250,250)"
bg_to="rgb(235,235,235)"

active_from="#C4EB9D"
active_to="#B3E681"

active_from="#7E9EBD"
active_to="#5E80A0"
active_fg="white"

cat > $colours <<EOF
XXXmenu_bg=rgba(250,250,250,0.9)
menu_bg=rgba(220, 220, 220, 0.9)
item_active_bg_from=$active_from
item_active_bg_to=$active_to
item_active_fg=$active_fg

notification_bg_from=$bg_from
notification_bg_to=$bg_to

modal_dialog_bg_from=$bg_from
modal_dialog_bg_to=$bg_to

run_dialog_bg_from=$bg_from
run_dialog_bg_to=$bg_to

window_list_item_active_bg_from=#7A9BBB
window_list_item_active_bg_to=#6081A1
window_list_item_active_fg=white

window_list_item_hover_bg_from=#8eb4d9
window_list_item_hover_bg_to=#7096bc
window_list_item_hover_fg=white

window_list_item_demands_attention_bg_from=rgba(150,150,150,0.5)
window_list_item_demands_attention_bg_to=rgba(0,167,238,0.5)
EOF

while read line; do
	key=$(echo $line | cut -d= -f1)
	value=$(echo $line | cut -d= -f2)
	if [ -z "$value" ]; then
		continue
	fi
	next=$(mktemp)
	sed -r "s/\\\$${key}\\\$/${value}/g" $previous > $next
	if [ "$previous" != "cinnamon.tpl" ]; then
		rm -f "$previous"
	fi
	previous=${next}
done < $colours

cp $previous cinnamon.css

# Para debug descomentar la siguiente linea y analizar
# los archivos generados
#read -p "Enter para terminar" junk

if [ "$previous" != "cinnamon.tpl" ]; then
	rm -f "$previous"
fi
rm $colours
